//MegaCircle is defined in the attached MegaCircle tab

//first create an array of MegaCircles
MegaCircle[] megaArray;
int numMegas = 300;

void setup ()
{
  size(500, 500);
  smooth();
  noStroke();
  
  //here we tell the array how big it will be
  megaArray = new MegaCircle[numMegas];
  
  //here we fill our array with new MegaCircle objects
  for (int i = 0; i < numMegas; i++){
    color myColor = color(random(128, 255), random(128, 255), random(128, 255));
    megaArray[i] = new MegaCircle(myColor, int(random(7, 17)));
  }
}

void draw ()
{
  background(0);
  
  //each time the draw method passes through, we update each MegaCircle
  for (int i = 0; i < numMegas; i++)
    megaArray[i].update();
}


